summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* Move {virtual -> app-alternatives}/yaccSam James3 days1-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/sabnzbd: add joecool as proxy maintainerJoe Kappus13 days1-1/+8
| | | | | | | Drop the old useflag descriptions too. Signed-off-by: Joe Kappus <joe@wt.gd> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* net-nntp/sabnzbd: add 3.7.0Joe Kappus13 days2-0/+157
| | | | | Signed-off-by: Joe Kappus <joe@wt.gd> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* net-nntp/slrn: add github upstream metadataSam James2022-10-251-0/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/sabnzbd: add rest of possible rdeps to tdepsJoe Kappus2022-10-141-0/+2
| | | | | | | | | | zip handling on tinderbox was failing without unzip. Since rar will likely fail next adding unrar as well. Closes: https://bugs.gentoo.org/877073 Signed-off-by: Joe Kappus <joe@wt.gd> Closes: https://github.com/gentoo/gentoo/pull/27774 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* net-nntp/leafnode: switch to xzSam James2022-10-142-2/+3
| | | | | | Same contents. Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/sabnzbd: fix test dependencyJoe Kappus2022-10-131-0/+1
| | | | | | | | | Add app-arch/p7zip so unit tests don't fail. Closes: https://bugs.gentoo.org/876929 Signed-off-by: Joe Kappus <joe@wt.gd> Closes: https://github.com/gentoo/gentoo/pull/27767 Signed-off-by: Michał Górny <mgorny@gentoo.org>
* net-nntp/sabnzbd: pin to exact sabyenc versionsSam James2022-10-122-2/+2
| | | | | | | It's too prone to breakage otherwise. Closes: https://bugs.gentoo.org/869869 Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/sabnzbd: drop Python 3.11, misc QA cleanupsSam James2022-10-121-23/+13
| | | | | | dev-python/tavern lacks Python 3.11 Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/sabnzbd: drop 3.3.1, 3.4.1-r1, 3.4.2Matt Jolly2022-10-124-370/+0
| | | | | | Signed-off-by: Matt Jolly <Matt.Jolly@footclan.ninja> Closes: https://github.com/gentoo/gentoo/pull/26973 Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/sabnzbd: stabilize 3.6.0 for amd64Matt Jolly2022-10-121-1/+1
| | | | | | | | [sam: The current version is terribly broken in stable.] Closes: https://bugs.gentoo.org/869869 Signed-off-by: Matt Jolly <Matt.Jolly@footclan.ninja> Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/sabnzbd: add pytest, fix depsJoe Kappus2022-10-121-9/+43
| | | | | | | Merging Kangie's updates to allow for test. Signed-off-by: Joe Kappus <joe@wt.gd> Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/sabnzbd: version bump to 3.6.1Joe Kappus2022-10-122-0/+129
| | | | | Signed-off-by: Joe Kappus <joe@wt.gd> Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/nzbget: Keyword 21.1-r2 arm64, #872515Arthur Zamarin2022-09-241-1/+1
| | | | Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
* net-nntp/nzbget: fix build with OpenSSL 3, bump to EAPI 8Louis Sautier2022-08-242-0/+146
| | | | | Closes: https://bugs.gentoo.org/805896 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
* net-nntp/nzbget: drop 21.0-r2Louis Sautier2022-08-242-113/+0
| | | | Signed-off-by: Louis Sautier <sbraz@gentoo.org>
* net-nntp/nzbget: amd64 stable wrt bug #864235Agostino Sarubbo2022-08-171-1/+1
| | | | Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-nntp/nzbget: Stabilize 21.1-r1 x86, #864235Sam James2022-08-171-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/sabnzbd: add 3.6.0Joe Kappus2022-08-172-0/+123
| | | | | | Signed-off-by: Joe Kappus <joe@wt.gd> Closes: https://github.com/gentoo/gentoo/pull/26645 Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/nzbget: ppc stable wrt bug #864235Agostino Sarubbo2022-08-161-1/+1
| | | | Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-nntp/nzbget: arm stable wrt bug #864235Agostino Sarubbo2022-08-161-2/+2
| | | | Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-nntp/sabnzbd: Stabilize 3.4.2 amd64, #850205Jakov Smolić2022-06-071-2/+2
| | | | Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>
* */*: reassign whissi's packagesJoonas Niilola2022-06-051-4/+1
| | | | Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* net-nntp/tin: drop 2.6.0Sam James2022-04-172-88/+0
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/brag: destabilise for ppcSam James2022-03-041-2/+2
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/tin: Stabilize 2.6.1 x86, #833706Jakov Smolić2022-02-191-1/+1
| | | | Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>
* net-nntp/tin: Stabilize 2.6.1 amd64, #833706Jakov Smolić2022-02-191-1/+1
| | | | Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>
* net-nntp/tin: Stabilize 2.6.1 arm, #833706Arthur Zamarin2022-02-191-1/+1
| | | | Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
* net-nntp/tin: Stabilize 2.6.1 ppc, #833706Arthur Zamarin2022-02-191-1/+1
| | | | Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
* net-nntp/tin: add 2.6.1, drop 2.4.5-r1Anna Vyalkova2022-01-084-77/+91
| | | | | Signed-off-by: Anna Vyalkova <cyber+gentoo@sysrq.in> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* net-nntp/leafnode: cleanupHans de Graaff2022-01-081-52/+0
| | | | | Package-Manager: Portage-3.0.28, Repoman-3.0.3 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
* net-nntp/leafnode: Stabilize 1.11.11-r1 x86, #819285Sam James2022-01-021-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/leafnode: Stabilize 1.11.11-r1 amd64, #819285Sam James2022-01-021-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/leafnode: Stabilize 1.11.11-r1 ppc, #819285Sam James2022-01-021-2/+2
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/tin: ppc stable wrt bug #828309Agostino Sarubbo2021-12-091-1/+1
| | | | | | Package-Manager: Portage-3.0.20, Repoman-3.0.3 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-nntp/tin: Stabilize 2.6.0 x86, #828309Sam James2021-12-081-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/tin: Stabilize 2.6.0 arm, #828309Sam James2021-12-071-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/tin: Stabilize 2.6.0 amd64, #828309Sam James2021-12-071-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-nntp/leafnode: EAPI 8Hans de Graaff2021-10-231-0/+48
| | | | | | Bug: https://bugs.gentoo.org/819285 Package-Manager: Portage-3.0.20, Repoman-3.0.3 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
* net-nntp/sabnzbd: bump to v3.4.2Thomas Deutschmann2021-10-152-0/+124
| | | | | Package-Manager: Portage-3.0.28, Repoman-3.0.3 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* net-nntp/sabnzbd: depend on dev-python/guessitThomas Deutschmann2021-09-291-0/+1
| | | | | | Bug: https://bugs.gentoo.org/814503 Package-Manager: Portage-3.0.26, Repoman-3.0.3 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* net-nntp/sabnzbd: cleanup oldThomas Deutschmann2021-09-253-244/+0
| | | | | Package-Manager: Portage-3.0.23, Repoman-3.0.3 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* net-nntp/sabnzbd: amd64 stableThomas Deutschmann2021-09-251-1/+1
| | | | | Package-Manager: Portage-3.0.23, Repoman-3.0.3 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* net-nntp/sabnzbd: bump to v3.4.1Thomas Deutschmann2021-09-252-3/+4
| | | | | Package-Manager: Portage-3.0.23, Repoman-3.0.3 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* net-nntp/sabnzbd: bumpo to v3.4.0Thomas Deutschmann2021-09-222-0/+122
| | | | | Package-Manager: Portage-3.0.23, Repoman-3.0.3 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* **/metadata.xml: Replace http by https in DOCTYPE elementUlrich Müller2021-09-119-9/+9
| | | | | Bug: https://bugs.gentoo.org/552720 Signed-off-by: Ulrich Müller <ulm@gentoo.org>
* net-nntp/tin: update LICENSEJoonas Niilola2021-09-091-1/+1
| | | | Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* net-nntp/tin: add 2.6.0Anna (cybertailor) Vyalkova2021-09-094-4/+92
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * set correct LICENSE (main code is licensed under 3-clause BSD, only metamutt script is GPL) * remove "doc" USE flag as unnecessary * remove "etiquette" USE flag (can be toggled in tinrc) * remove "ipv6" USE flag (no external deps) * remove "unicode" USE flag (tin 2.6 builds with ncursesw only) * remove "mime" and "spell" USE flags (optional runtime functionality) * depend unconditionally on dev-libs/icu * depend on virtual/libintl instead of gettext (tarball already has .gmo files) * add yacc build dependency * unbundle libcanlock * gmane.org -> gmane.io * install localized manpages * do not remove mbox.5 and mmdf.5 manpages (e-file reports no collisions) Couldn't reproduce bug #725226 Bug: https://bugs.gentoo.org/725226 Closes: https://bugs.gentoo.org/550620 Signed-off-by: Anna Vyalkova <cyber+gentoo@sysrq.in> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* net-nntp/slrn: revbump to support canlock v3.xAnna Vyalkova2021-09-091-3/+3
| | | | | | | | | canlock v2 is still supported by this ebuild EAPI 7 -> 8 Signed-off-by: Anna Vyalkova <cyber+gentoo@sysrq.in> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* net-nntp/tin: Add sys-libs/ncurses[unicode(+)]David Seifert2021-07-171-2/+3
| | | | Signed-off-by: David Seifert <soap@gentoo.org>